For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Returns a list of [accounts receivable](https://docs.monite.com/accounts-receivable/index) documents - invoices, quotes, and credit notes - of the specified entity.
Results can be filtered by amount, counterpart, due date, and other criteria. Multiple filters are combined using logical AND unless specified otherwise. If no documents matching the search criteria are found, the endpoint returns a successful response with an empty `data` array.
This endpoint supports [pagination](https://docs.monite.com/api/concepts/pagination-sorting-filtering) and sorting. By default, results are sorted by the creation date in ascending order (from oldest to newest).
#### Examples
##### Invoices
* Get all overdue invoices:
```
GET /receivables?type=invoice&status=overdue
```
* Get all invoices created for the counterpart named "Solarwind" (case-insensitive):
```
GET /receivables?type=invoice?counterpart_name__icontains=Solarwind
```
* Get invoices whose total amount starts from 500 EUR:
```
GET /receivables?type=invoice&total_amount__gte=50000
```
* Get invoices that are due for payment in September 2024:
```
GET /receivables?type=invoice&due_date__gte=2024-09-01&due_date__lt=2024-10-01
```
**Note:** This will only return invoices with a set due date. Invoices without due dates are excluded from date range filters.
* Get invoices without a due date:
```
GET /receivables?type=invoice&has_due_date=false
```
* Get invoices with any due date (excluding those without due dates):
```
GET /receivables?type=invoice&has_due_date=true
```
* Get invoices created on or after September 1, 2024:
```
GET /receivables?type=invoice&created_at__gte=2024-09-01T00:00:00Z
```
* Find an invoice created from a specific quote:
```
GET /receivables?type=invoice?based_on=QUOTE_ID
```
##### Quotes
* Get the latest created quote:
```
GET /receivables?type=quote&sort=created_at&order=desc&limit=1
```
* Get the latest issued quote:
```
GET /receivables?type=quote&sort=issue_date&order=desc&limit=1
```
##### Credit notes
* Find all credit notes created for a specific invoice:
```
GET /receivables?type=credit_note?based_on=INVOICE_ID
```
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.
Query parameters
orderenumOptional
Sort order (ascending by default). Typically used together with the sort parameter.
Allowed values:
limitintegerOptional1-250Defaults to 100
The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page.
When using pagination with a non-default `limit`, you must provide the `limit` value alongside `pagination_token` in all subsequent pagination requests. Unlike other query parameters, `limit` is not inferred from `pagination_token`.
pagination_tokenstringOptional
A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If `pagination_token` is specified, all other query parameters except `limit` are ignored and inferred from the initial query.
If not specified, the first page of results will be returned.
id__instringOptionalformat: "uuid"
Return only receivables with the specified IDs. Valid but nonexistent IDs do not raise errors but produce no results.
To specify multiple IDs, repeat this parameter for each value:
id__in=<id1>&id__in=<id2>
status__inenumOptional
Return only receivables that have the specified statuses. See the applicable [invoice statuses](https://docs.monite.com/accounts-receivable/invoices/index), [quote statuses](https://docs.monite.com/accounts-receivable/quotes/index), and [credit note statuses](https://docs.monite.com/accounts-receivable/credit-notes#credit-note-lifecycle).
To specify multiple statuses, repeat this parameter for each value:
`status__in=draft&status__in=issued`
entity_user_id__instringOptionalformat: "uuid"
Return only receivables created by the entity users with the specified IDs.To specify multiple user IDs, repeat this parameter for each ID:
`entity_user_id__in=<user1>&entity_user_id__in=<user2>`
If the request is authenticated using an entity user token, this user must have the `receivable.read.allowed` (rather than `allowed_for_own`) permission to be able to query receivables created by other users.
IDs of deleted users will still produce results here if those users had associated receivables. Valid but nonexistent user IDs do not raise errors but produce no results.
sortenumOptional
The field to sort the results by. Typically used together with the order parameter.
tag_ids__instringOptionalformat: "uuid"
Return only receivables whose [tags](https://docs.monite.com/common/tags) include at least one of the tags with the specified IDs.
For example, given receivables with the following tags:
1. tagA
2. tagB
3. tagA, tagB
4. tagC
5. tagB, tagC
`tag_ids__in=<tagA>&tag_ids__in=<tagB>` will return receivables 1, 2, 3, and 5.
Valid but nonexistent tag IDs do not raise errors but produce no results.
tag_idsstringOptionalformat: "uuid"
Return only receivables whose [tags](https://docs.monite.com/common/tags) include all of the tags with the specified IDs and optionally other tags that are not specified.
For example, given receivables with the following tags:
1. tagA
2. tagB
3. tagA, tagB
4. tagC
5. tagA, tagB, tagC
`tag_ids=<tagA>&tag_ids=<tagB>` will return receivables 3 and 5.
product_ids__instringOptionalformat: "uuid"
Return only receivables whose line items include at least one of the product IDs with the specified IDs.
To specify multiple product IDs, repeat this parameter for each ID:
`product_ids__in=<product1>&product_ids__in=<product2>`
For example, given receivables with the following product IDs:
1. productA
2. productB
3. productA, productB
4. productC
5. productB, productC
`product_ids__in=<productA>&product_ids__in=<productB>` will return receivables 1, 2, 3, and 5.Valid but nonexistent product IDs do not raise errors but produce no results.
product_idsstringOptionalformat: "uuid"
Return only receivables whose line items include all of the product IDs with the specified IDs and optionally other products that are not specified.
To specify multiple product IDs, repeat this parameter for each ID:
`product_ids=<product1>&product_ids=<product2>`
For example, given receivables with the following product IDs:
1. productA
2. productB
3. productA, productB
4. productC
5. productA, productB, productC
`product_ids=<productA>&product_ids=<productB>` will return receivables 3 and 5.
project_id__instringOptionalformat: "uuid"
Return only receivables whose project_id include at least one of the project_id with the specified IDs. Valid but nonexistent project IDs do not raise errors but produce no results.
typeenumOptional
Allowed values:
document_idstringOptional
document_id__containsstringOptional
document_id__icontainsstringOptional
issue_date__gtdatetimeOptional
issue_date__ltdatetimeOptional
issue_date__gtedatetimeOptional
issue_date__ltedatetimeOptional
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
counterpart_idstringOptionalformat: "uuid"
counterpart_namestringOptional
counterpart_name__containsstringOptional
counterpart_name__icontainsstringOptional
total_amountintegerOptional
total_amount__gtintegerOptional
total_amount__ltintegerOptional
total_amount__gteintegerOptional
total_amount__lteintegerOptional
discounted_subtotalintegerOptional
discounted_subtotal__gtintegerOptional
discounted_subtotal__ltintegerOptional
discounted_subtotal__gteintegerOptional
discounted_subtotal__lteintegerOptional
statusenumOptional
entity_user_idstringOptionalformat: "uuid"
based_onstringOptionalformat: "uuid"
due_date__gtstringOptionalformat: "date"
due_date__ltstringOptionalformat: "date"
due_date__gtestringOptionalformat: "date"
due_date__ltestringOptionalformat: "date"
has_due_datebooleanOptional
project_idstringOptionalformat: "uuid"
search_textstringOptional
Response
Successful Response
datalist of objects
next_pagination_tokenstringOptional
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).
prev_pagination_tokenstringOptional
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).
Errors
400
Get Receivables Request Bad Request Error
403
Get Receivables Request Forbidden Error
406
Get Receivables Request Not Acceptable Error
409
Get Receivables Request Conflict Error
422
Get Receivables Request Unprocessable Entity Error
500
Get Receivables Request Internal Server Error
Returns a list of accounts receivable documents - invoices, quotes, and credit notes - of the specified entity.
Results can be filtered by amount, counterpart, due date, and other criteria. Multiple filters are combined using logical AND unless specified otherwise. If no documents matching the search criteria are found, the endpoint returns a successful response with an empty data array.
This endpoint supports pagination and sorting. By default, results are sorted by the creation date in ascending order (from oldest to newest).
Examples
Invoices
Get all overdue invoices:
GET /receivables?type=invoice&status=overdue
Get all invoices created for the counterpart named “Solarwind” (case-insensitive):
GET /receivables?type=invoice?counterpart_name__icontains=Solarwind
Get invoices whose total amount starts from 500 EUR:
GET /receivables?type=invoice&total_amount__gte=50000
Get invoices that are due for payment in September 2024:
GET /receivables?type=invoice&due_date__gte=2024-09-01&due_date__lt=2024-10-01
Note: This will only return invoices with a set due date. Invoices without due dates are excluded from date range filters.
Get invoices without a due date:
GET /receivables?type=invoice&has_due_date=false
Get invoices with any due date (excluding those without due dates):
GET /receivables?type=invoice&has_due_date=true
Get invoices created on or after September 1, 2024:
GET /receivables?type=invoice&created_at__gte=2024-09-01T00:00:00Z
Find an invoice created from a specific quote:
GET /receivables?type=invoice?based_on=QUOTE_ID
Quotes
Get the latest created quote:
GET /receivables?type=quote&sort=created_at&order=desc&limit=1
Get the latest issued quote:
GET /receivables?type=quote&sort=issue_date&order=desc&limit=1
Credit notes
Find all credit notes created for a specific invoice:
GET /receivables?type=credit_note?based_on=INVOICE_ID
The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page.
When using pagination with a non-default limit, you must provide the limit value alongside pagination_token in all subsequent pagination requests. Unlike other query parameters, limit is not inferred from pagination_token.
A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters except limit are ignored and inferred from the initial query.
If not specified, the first page of results will be returned.
To specify multiple statuses, repeat this parameter for each value:
status__in=draft&status__in=issued
Return only receivables created by the entity users with the specified IDs.To specify multiple user IDs, repeat this parameter for each ID:
entity_user_id__in=<user1>&entity_user_id__in=<user2>
If the request is authenticated using an entity user token, this user must have the receivable.read.allowed (rather than allowed_for_own) permission to be able to query receivables created by other users.
IDs of deleted users will still produce results here if those users had associated receivables. Valid but nonexistent user IDs do not raise errors but produce no results.
Return only receivables whose tags include at least one of the tags with the specified IDs.
For example, given receivables with the following tags:
tagA
tagB
tagA, tagB
tagC
tagB, tagC
tag_ids__in=<tagA>&tag_ids__in=<tagB> will return receivables 1, 2, 3, and 5.
Valid but nonexistent tag IDs do not raise errors but produce no results.
Return only receivables whose tags include all of the tags with the specified IDs and optionally other tags that are not specified.
For example, given receivables with the following tags:
tagA
tagB
tagA, tagB
tagC
tagA, tagB, tagC
tag_ids=<tagA>&tag_ids=<tagB> will return receivables 3 and 5.
Return only receivables whose line items include at least one of the product IDs with the specified IDs.
To specify multiple product IDs, repeat this parameter for each ID:
product_ids__in=<product1>&product_ids__in=<product2>
For example, given receivables with the following product IDs:
productA
productB
productA, productB
productC
productB, productC
product_ids__in=<productA>&product_ids__in=<productB> will return receivables 1, 2, 3, and 5.Valid but nonexistent product IDs do not raise errors but produce no results.
Return only receivables whose line items include all of the product IDs with the specified IDs and optionally other products that are not specified.
To specify multiple product IDs, repeat this parameter for each ID:
product_ids=<product1>&product_ids=<product2>
For example, given receivables with the following product IDs:
productA
productB
productA, productB
productC
productA, productB, productC
product_ids=<productA>&product_ids=<productB> will return receivables 3 and 5.